import { Common } from './aws-cognito.common';
import {CognitoCommonDelegate} from "./CognitoCommonDelegate";
import {CognitoIdentityInteractiveAuthenticationDelegate} from "./CognitoIdentityInteractiveAuthenticationDelegate";


export {CognitoCommonDelegate} from "./CognitoCommonDelegate";
export {CognitoIdentityInteractiveAuthenticationDelegate} from "./CognitoIdentityInteractiveAuthenticationDelegate";

export declare class AwsCognito extends Common {


     static createUserPool(region:string, cliendId:string, secretId:string, poolId:string, delegate:CognitoIdentityInteractiveAuthenticationDelegate);
     static registerUser(userName:String, password:String, attrubutes:Array<{key:string, value:string}>, delegate:CognitoCommonDelegate);
     static confirmSignUp(userName:String,verifyCode:String, delegate:CognitoCommonDelegate);
     static getUserDetail(delegate:CognitoCommonDelegate);
     static login(userName:String, password:String, delegate:CognitoCommonDelegate);
     static signOut();
}
