import { CognitoCommonDelegate } from ".././CognitoCommonDelegate";
export declare class AWSCognitoIdentityPasswordAuthenticationImpl extends NSObject implements AWSCognitoIdentityPasswordAuthentication {
    static ObjCProtocols: {
        prototype: AWSCognitoIdentityPasswordAuthentication;
    }[];
    static new(): AWSCognitoIdentityPasswordAuthenticationImpl;
    passwordAuthenticationCompletionSource: AWSTaskCompletionSource<AWSCognitoIdentityPasswordAuthenticationDetails>;
    cognitoCommonDelegate: CognitoCommonDelegate;
    setCognitoCommonDelegate(cognitoCommonDelegate: CognitoCommonDelegate): void;
    getPasswordAuthenticationCompletionSource(): AWSTaskCompletionSource<AWSCognitoIdentityPasswordAuthenticationDetails>;
    getPasswordAuthenticationDetailsPasswordAuthenticationCompletionSource(authenticationInput: AWSCognitoIdentityPasswordAuthenticationInput, passwordAuthenticationCompletionSource: AWSTaskCompletionSource<AWSCognitoIdentityPasswordAuthenticationDetails>): void;
    didCompletePasswordAuthenticationStepWithError(error: NSError): void;
}
