import { Common } from './aws-cognito.common';
import { CognitoCommonDelegate } from "./CognitoCommonDelegate";
import { CognitoIdentityInteractiveAuthenticationDelegate } from "./CognitoIdentityInteractiveAuthenticationDelegate";
export declare class AwsCognito extends Common {
    static userPool: any;
    static delegate: CognitoIdentityInteractiveAuthenticationDelegate;
    static region: any;
    static clientId: string;
    static secretId: string;
    static poolId: string;
    static createUserPool(region: string, clientId: string, secretId: string, poolId: string, delegate: CognitoIdentityInteractiveAuthenticationDelegate): void;
    static registerUser(userName: String, password: String, attrubutes: Array<{
        key: string;
        value: string;
    }>, delegate: CognitoCommonDelegate): void;
    static confirmSignUp(userName: String, verifyCode: String, delegate: CognitoCommonDelegate): void;
    static getUserDetail(delegate: CognitoCommonDelegate): void;
    static login(userName: String, password: String, delegate: CognitoCommonDelegate): void;
    static signOut(): void;
}
